<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Real Estate | Phường xã</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="dist/css/home24h.min.css">
  <!-- Css -->
  <link rel="stylesheet" href="css/style.css">
</head>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-blue navbar-dark border-bottom-0">
      <div class="container-fluid">
        <!-- Left navbar links -->
        <ul id="ew-navbar" class="navbar-nav">
          <li class="nav-item d-block">
            <a class="nav-link" data-widget="pushmenu" data-enable-remember="true"><i
                class="fas fa-bars ew-icon"></i></a>
          </li>
          <a class="navbar-brand d-none" href="#">
            <span class="brand-text">Home24h</span>
          </a>
        </ul>
        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
          <!-- Navbar Search -->
          <li class="nav-item">
            <a class="nav-link" data-widget="navbar-search" href="#" role="button" title="Search">
              <i class="fas fa-search"></i>
            </a>
            <div class="navbar-search-block" style="display: none;">
              <form class="form-inline">
                <div class="input-group input-group-sm">
                  <input class="form-control form-control-navbar" type="search" placeholder="Search"
                    aria-label="Search">
                  <div class="input-group-append">
                    <button class="btn btn-navbar" type="submit">
                      <i class="fas fa-search"></i>
                    </button>
                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                      <i class="fas fa-times"></i>
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </li>
          <!-- Navbar Login -->
          <li class="nav-item">
            <a class="nav-link" href="#" title="Login">
              <i class="fas fa-sign-in-alt"></i>
            </a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="#" class="brand-link">
        <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
          style="opacity: .8">
        <span class="brand-text font-weight-light">Home24h</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar sidebar-scroll">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="dist/img/user-anhlt.png" class="img-circle elevation-2" alt="User Image">
          </div>
          <div class="info">
            <a href="#" class="d-block">Anhlt</a>
          </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
            <li class="nav-item">
              <a href="address-map.html" class="nav-link">
                <i class="fas fa-map-marked-alt"></i>&nbsp;&nbsp;
                <p>Địa chỉ tọa độ</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="master-layout.html" class="nav-link">
                <i class="fas fa-layer-group"></i>&nbsp;&nbsp;
                <p>Mặt bằng tầng</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="construction-contractor.html" class="nav-link">
                <i class="fas fa-hard-hat"></i>&nbsp;&nbsp;
                <p>Nhà thầu xây dựng</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="design-unit.html" class="nav-link">
                <i class="fas fa-drafting-compass"></i>&nbsp;&nbsp;
                <p>Đơn vị thiết kế</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="investor.html" class="nav-link">
                <i class="fas fa-user-tie"></i>&nbsp;&nbsp;
                <p>Nhà đầu tư</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="region-link.html" class="nav-link">
                <i class="fas fa-route"></i>&nbsp;&nbsp;
                <p>Kết nối vùng</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="unility.html" class="nav-link">
                <i class="fas fa-swimming-pool"></i>&nbsp;&nbsp;
                <p>Tiện ích</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="customer.html" class="nav-link">
                <i class="fas fa-user-friends"></i>&nbsp;&nbsp;
                <p>Khách hàng</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="employee.html" class="nav-link">
                <i class="fas fa-user"></i>&nbsp;&nbsp;
                <p>Người dùng</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="project.html" class="nav-link">
                <i class="fas fa-building"></i>&nbsp;&nbsp;
                <p>Dự án xây dựng</p>
              </a>
            </li>
            <li class="nav-item has-treeview menu-open">
              <a href="#" class="nav-link">
                <i class="fas fa-folder-plus"></i>&nbsp;&nbsp;
                <p>Địa chính<i class="right fas fa-angle-left"></i></p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item pl-4">
                  <a href="province.html" class="nav-link">
                    <i class="fas fa-city"></i>&nbsp;&nbsp;
                    <p>Tỉnh thành</p>
                  </a>
                </li>
                <li class="nav-item pl-4">
                  <a href="district.html" class="nav-link">
                    <i class="fa-solid fa-building-circle-arrow-right"></i>&nbsp;&nbsp;
                    <p>Quận huyện</p>
                  </a>
                </li>
                <li class="nav-item pl-4">
                  <a href="ward.html" class="nav-link active">
                    <i class="fa-solid fa-church"></i>&nbsp;&nbsp;
                    <p>Phường xã</p>
                  </a>
                </li>
                <li class="nav-item pl-4">
                  <a href="street.html" class="nav-link">
                    <i class="fa-solid fa-road"></i>&nbsp;&nbsp;
                    <p>Đường phố</p>
                  </a>
                </li>
              </ul>
            </li>
            <li class="nav-item">
              <a href="real-estate.html" class="nav-link">
                <i class="fa-solid fa-tree-city"></i>&nbsp;&nbsp;
                <p>Thông tin BĐS</p>
              </a>
            </li>
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
      </div>

      <!-- /.sidebar -->
    </aside>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>Phường xã</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                <li class="breadcrumb-item active">Phường xã</li>
              </ol>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <div class="container-fluid">
        <div class="form-group">
          <button class="btn btn-success btn-sm" id="btn-add-new-ward"><i class="fa fa-plus"></i>&nbsp;
            New Ward</button>
        </div>
      </div>
      <div class="container-fluid">
        <table id="ward-table" class="table table-bordered table-striped table-hover table-sm">
          <thead>
            <tr>
              <th>ID</th>
              <th>Tên</th>
              <th>Phường-Xã</th>
              <th>Tỉnh thành</th>
              <th>Quận huyện</th>
              <th>Hành động</th>
            </tr>
          </thead>
        </table>
      </div>
      <!-- vùng modal -->
      <!-- Create modal -->
      <div>
        <div id="create-ward-modal" class="modal fade" tabindex="-1">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 id="h5-modal-title" class="modal-title">Create new ward</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <form>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4 not-blank">Tên</label>
                    <div class="col-sm-8">
                      <input type="text" id="inp-create-ward-name" placeholder="Tên" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Tỉnh thành</label>
                    <div class="col-sm-8">
                      <select id="select-create-province" class="form-control">
                        <option>Tỉnh thành</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Quận huyện</label>
                    <div class="col-sm-8">
                      <select id="select-create-district" class="form-control">
                        <option>Quận huyện</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Phường-Xã</label>
                    <div class="col-sm-8">
                      <select id="select-create-prefix" class="form-control">
                        <option>Phường-Xã</option>
                      </select>
                    </div>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button id="btn-create-ward" class="btn btn-primary">Insert</button>
                <button id="btn-create-cancel" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Update modal -->
      <div>
        <div id="update-ward-modal" class="modal fade" tabindex="-1">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 id="h5-modal-title" class="modal-title">Update ward</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <form>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Id</label>
                    <div class="col-sm-8">
                      <input type="text" id="inp-update-ward-id" placeholder="Id" class="form-control" readonly>
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4 not-blank">Tên</label>
                    <div class="col-sm-8">
                      <input type="text" id="inp-update-ward-name" placeholder="Tên" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Tỉnh thành</label>
                    <div class="col-sm-8">
                      <select id="select-update-province" class="form-control">
                        <option>Tỉnh thành</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Quận huyện</label>
                    <div class="col-sm-8">
                      <select id="select-update-district" class="form-control">
                        <option>Quận huyện</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4">Phường-Xã</label>
                    <div class="col-sm-8">
                      <select id="select-update-prefix" class="form-control">
                        <option>Phường-Xã</option>
                      </select>
                    </div>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button id="btn-update-ward" class="btn btn-primary">Save</button>
                <button id="btn-update-cancel" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Delete modal -->
      <div>
        <div class="modal fade" tabindex="-1" id="delete-ward-modal">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="h5-modal-title">Ward Delete Confirmation</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <label>Bạn có chắc chắn muốn xóa phường xã này không?</label>
              </div>
              <div class="modal-footer">
                <button class="btn btn-danger" id="btn-confirm-delete-ward">Confirm</button>
                <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <footer class="main-footer">
      <div class="float-right d-none d-sm-block">
        <b>Version</b> 3.2.0
      </div>
      ©2023 Home24h, Jsc. All rights reserved.
    </footer>
  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="plugins/jquery-ui/jquery-ui.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- DataTables  & Plugins -->
  <script src="plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.min.js"></script>
  <script src="./src/ward.js"></script>
  <script>
    $(document).ready(function () {
      //call api get all province to select
      $.ajax({
        url: "http://127.0.0.1:8080/provinces",
        method: 'GET',
        dataType: 'json',
        success: function (response) {
          var provinceSelect = $('#select-create-province');
          $.each(response, function (index, province) {
            var option = $('<option></option>')
              .attr('value', province.id)
              .html(province.name);
            provinceSelect.append(option);
          });
          var provinceSelect = $('#select-update-province');
          provinceSelect.empty();
          $.each(response, function (index, province) {
            var option = $('<option></option>')
              .attr('value', province.id)
              .html(province.name);
            provinceSelect.append(option);
          });
        },
        error: function (error) {
          console.log(error.responseText);
        }
      });

      $('#select-create-province').change(function () {
        var provinceId = $(this).val();
        loadDistrictsByProvince(provinceId, '#select-create-district');
      });

      $('#select-update-province').change(function () {
        var provinceId = $(this).val();
        loadDistrictsByProvince(provinceId, '#select-update-district');
      });

      function loadDistrictsByProvince(provinceId, districtSelectId) {
        $.ajax({
          url: "http://127.0.0.1:8080/districts/province/" + provinceId,
          method: 'GET',
          dataType: 'json',
          success: function (response) {
            var districtSelect = $(districtSelectId);
            districtSelect.empty();
            $.each(response, function (index, district) {
              var option = $('<option></option>')
                .attr('value', district.id)
                .html(district.name);
              districtSelect.append(option);
            });
          },
          error: function (error) {
            console.log(error.responseText);
          }
        });
      }

      //call api get all district to select
      $.ajax({
        url: "http://127.0.0.1:8080/districts",
        method: 'GET',
        dataType: 'json',
        success: function (response) {
          var districtSelect = $('#select-create-district');
          districtSelect.empty(); // Xóa tất cả option hiện tại
          $.each(response, function (index, district) {
            var option = $('<option></option>')
              .attr('value', district.id)
              .html(district.name);
            districtSelect.append(option);
          });
          var districtSelect = $('#select-update-district');
          districtSelect.empty();
          $.each(response, function (index, district) {
            var option = $('<option></option>')
              .attr('value', district.id)
              .html(district.name);
            districtSelect.append(option);
          });
        },
        error: function (error) {
          console.log(error.responseText);
        }
      });

      //call api get all prefix to select
      $.ajax({
        url: "http://127.0.0.1:8080/wards/prefix",
        method: 'GET',
        dataType: 'json',
        success: function (response) {
          var prefixSelect = $('#select-create-prefix');
          $.each(response, function (index, prefix) {
            var option = $('<option></option>').attr('value', prefix).text(prefix);
            prefixSelect.append(option);
          });
          var prefixSelect = $('#select-update-prefix');
          prefixSelect.empty();
          $.each(response, function (index, prefix) {
            var option = $('<option></option>').attr('value', prefix).text(prefix);
            prefixSelect.append(option);
          });
        },
        error: function (error) {
          console.log(error.responseText);
        }
      });
    });
  </script>

</body>

</html>